Public Class clsParams
    Dim mConnectionstring_EDOKA As String
    Property Connectionstring_EDOKA As String
        Get
            Return mConnectionstring_EDOKA
        End Get
        Set(value As String)
            mConnectionstring_EDOKA = value
        End Set
    End Property
    Dim mConnectionstring_DokTypMapping As String
    Property Connectionstring_DokTypMapping As String
        Get
            Return mConnectionstring_DokTypMapping
        End Get
        Set(value As String)
            mConnectionstring_DokTypMapping = value
        End Set
    End Property
    Dim mconnectionstring_Journale As String
    Property Connectionstring_Journale As String
        Get
            Return mconnectionstring_Journale
        End Get
        Set(value As String)
            mconnectionstring_Journale = value
        End Set
    End Property

    Dim mEntrypPoint_IL As String
    Property EntryPoint_IL As String
        Get
            Return mEntrypPoint_IL
        End Get
        Set(value As String)
            mEntrypPoint_IL = value
        End Set
    End Property

    Dim mBCK_TimerInterval As Integer
    Property BCK_TimerInterval As Integer
        Get
            Return mBCK_TimerInterval
        End Get
        Set(value As Integer)
            mBCK_TimerInterval = value
        End Set
    End Property

    Dim mDocument_TimerInterval As Integer
    Property Document_Timerinterval As Integer
        Get
            Return mDocument_TimerInterval
        End Get
        Set(value As Integer)
            mDocument_TimerInterval = value
        End Set
    End Property

    Dim mWachDir As String
    Property WachDir As String
        Get
            Return mWachDir
        End Get
        Set(value As String)
            mWachDir = value
        End Set
    End Property

    Dim mmTempDir As String
    Property TempDir As String
        Get
            Return mmTempDir
        End Get
        Set(value As String)
            mmTempDir = value
        End Set
    End Property

    Dim mTempDirOffice As String
    Property TempDirOffice As String
        Get
            Return mTempDirOffice
        End Get
        Set(value As String)
            mTempDirOffice = value
        End Set
    End Property

    Dim mAsOffice As String
    Property AsOffice As String
        Get
            Return mAsOffice
        End Get
        Set(value As String)
            mAsOffice = value
        End Set
    End Property

    Dim mdebug As String
    Property Debug As String
        Get
            Return mdebug
        End Get
        Set(value As String)
            mdebug = value
        End Set
    End Property

    Dim msendtoonbase As String
    Property SendToOnBase As String
        Get
            Return msendtoonbase
        End Get
        Set(value As String)
            msendtoonbase = value
        End Set
    End Property

    Dim mupdateedoka As String
    Property updateedoka As String
        Get
            Return mupdateedoka
        End Get
        Set(value As String)
            mupdateedoka = value
        End Set
    End Property
    Dim mlogfilename As String
    Property LogFilename As String
        Get
            Return mlogfilename
        End Get
        Set(value As String)
            mlogfilename = value
        End Set
    End Property
    Dim mexcelcsv As String
    Property ExcelCSV As String
        Get
            Return mexcelcsv
        End Get
        Set(value As String)
            mexcelcsv = value
        End Set
    End Property
    Dim mexceldoktyp As String
    Property ExcelDokTyp As String
        Get
            Return mexceldoktyp
        End Get
        Set(value As String)
            mexceldoktyp = value
        End Set
    End Property

    Dim mdeletetempfiles As Boolean = False
    Property DeleteTempFiles As Boolean
        Get
            Return mdeletetempfiles
        End Get
        Set(value As Boolean)
            mdeletetempfiles = value
        End Set
    End Property
    Dim mloglevel As Integer
    Property Loglevel As Integer
        Get
            Return mloglevel
        End Get
        Set(value As Integer)
            mloglevel = value
        End Set
    End Property

    Dim mkillcmd As String
    Property KillCmd As String
        Get
            Return mkillcmd
        End Get
        Set(value As String)
            mkillcmd = value
        End Set
    End Property



    Public Sub get_params()
        Me.Connectionstring_EDOKA = My.Settings.Connectionstring_EDOKA
        Me.Connectionstring_Journale = My.Settings.Connectionstring_Journale
        Me.EntryPoint_IL = My.Settings.Entrypoint_IL
        Me.BCK_TimerInterval = My.Settings.BCK_Intervall
        Me.Document_Timerinterval = My.Settings.Dokument_Intervall
        Me.WachDir = My.Settings.Watch_Dir
        Me.TempDir = My.Settings.TempDir
        Me.TempDirOffice = My.Settings.TempDirOffice
        Me.AsOffice = My.Settings.OfficeFormat
        Me.Debug = My.Settings.Debug
        Me.SendToOnBase = My.Settings.SendOnBase
        Me.updateedoka = My.Settings.UpdateEDOKA
        Me.LogFilename = My.Settings.Logfile
        Me.ExcelCSV = My.Settings.ExcelCSV
        Me.ExcelDokTyp = My.Settings.ExcelDokType
        Me.DeleteTempFiles = My.Settings.DeleteTempFiles = "1"
        Me.Connectionstring_DokTypMapping = My.Settings.ConnectionString_DokTypMapping
        Me.Loglevel = My.Settings.LogLevel
        Me.KillCmd = My.Settings.Killcmd
    End Sub
End Class
